package com.naz.sdkdemo.bean;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

/**
 * Description:
 * Author: yzxzm
 * Date:2021/7/24
 */
public class PrintDetail implements Parcelable {
    List<PrintModule> paint;
    public String leftPic;
    public String rightPic;

    public List<PrintModule> getPaint() {
        return paint;
    }

    public PrintDetail(List<PrintModule> paint) {
        this.paint = paint;
    }

    public void setPaint(List<PrintModule> paint) {
        this.paint = paint;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeList(this.paint);
    }

    public void readFromParcel(Parcel source) {
        this.paint = new ArrayList<PrintModule>();
        source.readList(this.paint, PrintModule.class.getClassLoader());
    }

    public PrintDetail() {
    }

    protected PrintDetail(Parcel in) {
        this.paint = new ArrayList<PrintModule>();
        in.readList(this.paint, PrintModule.class.getClassLoader());
    }

    public static final Creator<PrintDetail> CREATOR = new Creator<PrintDetail>() {
        @Override
        public PrintDetail createFromParcel(Parcel source) {
            return new PrintDetail(source);
        }

        @Override
        public PrintDetail[] newArray(int size) {
            return new PrintDetail[size];
        }
    };
}
